Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class AsymmetricKeyParameter

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  DHKeyParameters, DSAKeyParameters, ECKeyParameters, ElGamalKeyParameters, GOST3410KeyParameters, NaccacheSternKeyParameters, RSAKeyParameters

    public class AsymmetricKeyParameter

extends java.lang.Object
implements CipherParameters

Constructor Summary
`AsymmetricKeyParameter(boolean privateKey)`

Method Summary
`boolean` | `isPrivate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsymmetricKeyParameter

    public AsymmetricKeyParameter(boolean privateKey)

Method Detail

### isPrivate

    public boolean isPrivate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD